# UpdateSystemSavedataRequest | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class UpdateSystemSavedataRequest

- Defined in src/@types/PokerogueSystemSavedataApi.ts:7

##### Index

### Constructors

constructor

### Properties

clientSessionId
secretId?
trainerId?

## Constructors

### constructor

- new UpdateSystemSavedataRequest(): UpdateSystemSavedataRequest

  #### Returns UpdateSystemSavedataRequest

## Properties

### clientSessionId

clientSessionId: string

- Defined in src/@types/PokerogueSystemSavedataApi.ts:8

### `Optional` secretId

secretId?: number

- Defined in src/@types/PokerogueSystemSavedataApi.ts:10

### `Optional` trainerId

trainerId?: number

- Defined in src/@types/PokerogueSystemSavedataApi.ts:9